C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION HARDON(IONE,ANORM)
	IMPLICIT INTEGER*2(D-Z)
	IMPLICIT LOGICAL*1(A)
	COMMON//SAVDES(256),CURVE1(512),APAGE(512,4)
	COMMON/IN/NA
	COMMON/WINDOW/FST,LST
	COMMON/LINEAR/ALIN,AINTER,ATOSEC
	LOGICAL*1 BSAV(512)
	EQUIVALENCE (SAVDES,BSAV)
	HARDON=0
	REP = 6
	DO 5 II = 17,82
	IF (BSAV(II).EQ."200) GOTO 6
5	CONTINUE
6	II = II - 1
	WRITE(REP,1000)(BSAV(I),I=17,II)
	IF(ALIN)WRITE(REP,1005)
	IF(ATOSEC)WRITE(REP,1006)
	IF(ANORM)WRITE(REP,1010)SAVDES(225)
C*****SCRATCH CURVE ONLY
	IF(PCV(1,12).LT.0)GOTO999
	CMOST=CMAX(1,.FALSE.)
	CLEAST=CMIN(1,.FALSE.)
	IF(CLEAST/(CMOST-CLEAST).LT..1)CLEAST=0
	CDIV=64.0/(CMOST-CLEAST)
	COFF=CLEAST*CDIV
	DO190 J=FST,LST
190	APAGE(J,1)=INT(CURVE1(J)*CDIV-COFF)
	IF(IONE.EQ.0)GOTO 240
	DO200 I=1,IONE
	IJ=I
	K=INTPAR(IJ)
220	IF(GCV(1,K).LT.0)GOTO999
	IF(ATOSEC)CALL TOSEC(1)
	IF(ANORM)CALL NORM(1,K)
	DO180 J=FST,LST
	CY=CURVE1(J)
	IF(CY.GT.CMOST)CY=CMOST
	IF(CY.LT.CLEAST)CY=CLEAST
180	APAGE(J,I+1)=INT(CY*CDIV-COFF)
200	CONTINUE
240	WRITE(REP,20)CLEAST
	WRITE(REP,30)CMOST
20	FORMAT(///,50X,'MIN',G13.6)
30	FORMAT(50X,'MAX',G13.6)
	CALL PAGE(IONE,ANORM)
	REWIND REP
	IF(GCV(1,12).LT.0)GOTO 999
	RETURN
999	HARDON=-1
	RETURN
1000	FORMAT('1',64A1)
1005	FORMAT(40X,'NORMALISED TO GROUP 1 TIME')
1006	FORMAT(1X,40X,'COUNTS/SEC')
1010	FORMAT(32X,'NORMALISED TO SIZE',1X,I6,1X,'CELLS')
	END
